Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`conch`.`ssh`.`transport`.`_DummyCipher``

class documentation

`class _DummyCipher: (source)`

View In Hierarchy

A cipher for the none encryption method.

Method | `decryptor` | Construct a noop decryptor.
Method | `encryptor` | Construct a noop encryptor.
Class Variable | `algorithm` | Undocumented
Instance Variable | `block_size` | the block size of the encryption. In the case of the none cipher, this is 8 bytes.

def decryptor(self): (source)

Construct a noop decryptor.

Returns
The decryptor.

def encryptor(self): (source)

Construct a noop encryptor.

Returns
The encryptor.

algorithm = (source)

Undocumented

block_size = (source)

the block size of the encryption. In the case of the none cipher, this is 8 bytes.